import React,{Component} from 'react'

import T23_d from './T23'
import T23_1 from './T23_1'
import T23_305 from './T23_305'

const mtys1 = ['mt752']
const code1 = ["ACCEPT","DEBIT","NEGOTIATE","REIMBURSE","REMITTED","SEE79Z"]

const mtys2 = ['mt760','mt767']
const code2 = ["ISSUE","REQUEST"]
const code3 = ["DELIVERY","TRANSFER"]

export default function(props)
{
    let {mty} = props
    if(mty=='mt752')
        return <T23_1 {...props} SELCode={code1} />
    if(mty== 'mt760' || mty == 'mt767')
        return <T23_1 {...props} SELCode={code2} />
    if(mty== 'mt305')
        return <T23_305 {...props}  />
    if(mty== 'mt605')
        return <T23_1 {...props} SELCode={code3} />
    return <T23_d {...props} />
} 